<?php
/**
 * Include and setup custom metaboxes and fields. (make sure you copy this file to outside the CMB2 directory)
 * @category ToroStars
 * @package  Demo_CMB2
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     https://github.com/WebDevStudios/CMB2
 */

add_action( 'cmb2_admin_init', 'torostars_register_metabox' );

function torostars_register_metabox() {

	$trcmb = new_cmb2_box( array(
		'id'            => 'tr_metabox',
		'title'         => __( 'Additional data', TR_THEMENAMEOPTIONS ),
		'object_types'  => array( 'post' ),
	) );
    
	$trcmb->add_field( array(
		'name'             => __( 'PostType', TR_THEMENAMEOPTIONS ),
		'desc'             => __( 'Select the input type. (The default is video)', TR_THEMENAMEOPTIONS ),
		'id'               => tr_config('field_posttype'),
		'type'             => 'radio_inline',
        'default' => '',
		'options'          => array(
			'' => __( 'Video', TR_THEMENAMEOPTIONS ),
			'2'   => __( 'Gallery', TR_THEMENAMEOPTIONS ),
			'3'     => __( 'Post', TR_THEMENAMEOPTIONS ),
		),
	) );
    
	$trcmb->add_field( array(
		'name' => __( 'Video embed code', TR_THEMENAMEOPTIONS ),
		'desc' => __( 'Enter your video code iframe, embed or object (optional)', TR_THEMENAMEOPTIONS ),
		'id'   => tr_config('field_video'),
		'type' => 'textarea_code',
	) );

	$trcmb->add_field( array(
		'name'       => __( 'Duration', TR_THEMENAMEOPTIONS ),
		'desc'       => __( 'Video duration (optional)', TR_THEMENAMEOPTIONS ),
		'id'         => tr_config('field_duration'),
		'type'       => 'text_small',
	) );
    
	$trcmb->add_field( array(
		'name' => __( 'Imagen external', TR_THEMENAMEOPTIONS ),
		'desc' => __( 'Featured image with external url. (optional)', TR_THEMENAMEOPTIONS ),
		'id'   => tr_config('field_thumb'),
		'type' => 'file',
	) );
    
	$trcmb->add_field( array(
		'name' => __( 'Sponsored link', TR_THEMENAMEOPTIONS ),
		'desc' => __( 'Redirect to external URL. (optional)', TR_THEMENAMEOPTIONS ),
		'id'   => tr_config('field_link'),
		'type' => 'text_url',
	) );
    
	$trcmb->add_field( array(
		'name'    => __( 'SEO Text', TR_THEMENAMEOPTIONS ),
		'id'      => 'tr_seo',
		'type'    => 'wysiwyg',
		'options' => array( 'textarea_rows' => 15, ),
	) );
    
}

add_action( 'cmb2_admin_init', 'torostars_register_page_metabox' );

function torostars_register_page_metabox() {

	$trcmb_page = new_cmb2_box( array(
		'id'           => 'tr_metabox_page',
		'title'         => __( 'Additional data', TR_THEMENAMEOPTIONS ),
		'object_types' => array( 'page', ), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
	) );

	$trcmb_page->add_field( array(
		'name'    => __( 'SEO Text', TR_THEMENAMEOPTIONS ),
		'id'      => 'tr_seo',
		'type'    => 'wysiwyg',
		'options' => array( 'textarea_rows' => 15, ),
	) );
}

    if(!function_exists('tr_redirect_validate')){
        die();
    }