<?php

    function tr_theme_rating_percentage($id, $display=NULL, $method=1){
        
        $return = '';
        
        $return = '<span class="fa-thumbs-up Clr3B">'.tr_theme_rating_porc($id, $method).'</span>';

        if($display==NULL){ echo $return; }else{ return $return; }
    }

	function tr_theme_rating_porc($id, $method=1, $porc='%') {
        
		$positive=0; $negative=0;
        
        if($method==1){
        
            $positive=get_post_meta($id, 'trrating_type1', true);

            $negative=get_post_meta($id, 'trrating_type2', true);
            
        }else{
            
            $positive=get_term_meta($id, 'trrating_type1', true);

            $negative=get_term_meta($id, 'trrating_type2', true);
            
        }
        
		$total=$positive+$negative;
        
		$multiple=$positive*100;
        
		if($total==''){
			return '0'.$porc;
		}else{
			return round($multiple/$total).$porc;
		}
        
	}
	
	function tr_theme_rating_voted_total($id, $method=1) {
		$positive=0; $negative=0;
        if($method==1){
            $positive=get_post_meta($id, 'trrating_type1', true);
            $negative=get_post_meta($id, 'trrating_type2', true);
        }else{
            $positive=get_term_meta($id, 'trrating_type1', true);
            $negative=get_term_meta($id, 'trrating_type2', true);
        }
		$total=$positive+$negative;
		
		return $total;
	}

	function tr_theme_rating_scripts_init() {
        if(is_single() or is_tax(tr_config('pornostar_slug'))){
            $path_to_theme = get_template_directory_uri();
            $myvars = array( 
                'ajaxurl' => admin_url( 'admin-ajax.php' ),
                'loading' => __('Loading...', TR_THEMENAME),	
                'nonce' => wp_create_nonce( 'tr-theme-rating-nonce' )
            );
            wp_enqueue_script( 'tr-rating', $path_to_theme.'/js/TRrating.js',array('jquery'));
            wp_localize_script( 'tr-rating', 'TrRating', $myvars );
        }
    }
	
	if ( !is_admin() ) {
	  add_action('wp_print_scripts', 'tr_theme_rating_scripts_init');
	}
	
	// Save ips
	
	function tr_rating_save_ip($id,$type,$ip=NULL,$method=1){
		if($method==1){
            
			$table='trrating_ips';
			$data = get_post_meta($id, $table, true);
	
			if(empty($data)){
				add_post_meta(intval($id), $table, md5($ip).'+'); 
			}else{
				$ips_array = explode("+", $data);
				if ( !in_array(md5($ip), $ips_array ) ) {
					update_post_meta(intval($id), $table, $data.md5($ip).'+');			
				}
			}
        	setcookie("trratingip_$id", $ip, time()+3600*24*100, COOKIEPATH, COOKIE_DOMAIN, false);
            
		}else{
        
			$table='trrating_ips';
			$data = get_term_meta($id, $table, true);
	
			if(empty($data)){
				add_term_meta(intval($id), $table, md5($ip).'+'); 
			}else{
				$ips_array = explode("+", $data);
				if ( !in_array(md5($ip), $ips_array ) ) {
					update_term_meta(intval($id), $table, $data.md5($ip).'+');			
				}
			}
        	setcookie("trratingip_$id", $ip, time()+3600*24*100, COOKIEPATH, COOKIE_DOMAIN, false);
            
            
        }
	}
	
	// AJAX PHP

	function tr_rating_ajax(){

		$nonce = $_POST['nonce'];
 
	    if ( ! wp_verify_nonce( $nonce, 'tr-theme-rating-nonce' ) )
    	    die ( 'Die!');
	
	
		if($_POST['action'] == 'tr_rating_action') {
			
			$id=intval($_POST['id']);
			$vote=intval($_POST['type']);
			$method=intval($_POST['method']);
			$table_ips='trrating_ips';
			$table_votes='trrating_type'.$vote;
            
            if($method==1){
            
                $total=get_post_meta($id, $table_votes, true);
                $data = get_post_meta($id, $table_ips, true);

                if ($data=='') {

                    add_post_meta($id, $table_votes, 1); 
                    add_post_meta($id, 'trrating_porc', tr_theme_rating_porc($id, 2, ''));
                    tr_rating_save_ip($id,1,filter_var($_SERVER['REMOTE_ADDR'], FILTER_VALIDATE_IP));
                    echo tr_theme_rating($id,'','');
                }else{

                    $ips_array = explode("+", $data);
                    if ( !in_array(md5($_SERVER['REMOTE_ADDR']), $ips_array ) and empty($_COOKIE["trratingip_".$id.""])) {
                        update_post_meta($id, $table_votes, get_post_meta($id, $table_votes, true)+1); 
                        tr_rating_save_ip($id,1,filter_var($_SERVER['REMOTE_ADDR'], FILTER_VALIDATE_IP));
                        update_post_meta($id, 'trrating_porc', tr_theme_rating_porc($id, 2, ''));
                        echo tr_theme_rating($id,'','');
                    }else{
                        echo tr_theme_rating($id,'','', 1);
                    }

                }
                
            }else{
                
                $total=get_term_meta($id, $table_votes, true);
                $data = get_term_meta($id, $table_ips, true);

                if ($data=='') {

                    add_term_meta($id, $table_votes, 1); 
                    tr_rating_save_ip($id,1,filter_var($_SERVER['REMOTE_ADDR'], FILTER_VALIDATE_IP), 2);
                    echo tr_theme_rating($id,'','', 0, 2);

                }else{

                    $ips_array = explode("+", $data);
                    if ( !in_array(md5($_SERVER['REMOTE_ADDR']), $ips_array ) and empty($_COOKIE["trratingip_".$id.""])) {
                        update_term_meta($id, $table_votes, get_post_meta($id, $table_votes, true)+1); 
                        tr_rating_save_ip($id,1,filter_var($_SERVER['REMOTE_ADDR'], FILTER_VALIDATE_IP), 2);
                        echo tr_theme_rating($id,'','', 0, 2);
                    }else{
                        echo tr_theme_rating($id,'','', 1, 2);
                    }

                }                
                
            }
			
            
			
		}
		exit;
	}
	
	add_action( 'wp_ajax_tr_rating_action', 'tr_rating_ajax' );
	add_action( 'wp_ajax_nopriv_tr_rating_action', 'tr_rating_ajax');
	
	function tr_theme_rating($id, $tag='<div class="Tt-Rating" id="tr_theme_rating">', $tagf='</div>', $nov=0, $type=1) {
        $return='';
        
		$positive=0; $negative=0;
        
        if($type==1){
            
        $positive = get_post_meta($id, 'trrating_type1', true)=='' ? 0 : get_post_meta($id, 'trrating_type1', true);
            
        $negative = get_post_meta($id, 'trrating_type2', true)=='' ? 0 : get_post_meta($id, 'trrating_type2', true);
        
            
        $return .= $tag.'
            <div class="Tt-Votes">
                <a href="#" class="Tt-VoteUp fa-thumbs-up tr_theme_rating_vt" data-type="1" data-id="'.$id.'" data-method="1" data-positive="'.$positive.'"></a>
				    <span class="Tt-Percent">'.tr_theme_rating_porc($id).'</span>
				<a href="#" class="Tt-VoteDown fa-thumbs-down tr_theme_rating_vt" data-type="2" data-id="'.$id.'" data-method="1" data-negative="'.$negative.'"></a>
            </div>
        ';
            
		if($nov==1){
			$return.="<span id=\"txtmt\"><strong class=\"Ycva\">".__("You can't vote again", TR_THEMENAME)."</strong/></span/>";
		}
            
        $return.= $tagf;
            
        }else{
            
            $positive = get_term_meta($id, 'trrating_type1', true)=='' ? 0 : get_term_meta($id, 'trrating_type1', true);
            
            $negative = get_term_meta($id, 'trrating_type2', true)=='' ? 0 : get_term_meta($id, 'trrating_type2', true);
            
            $return.=$tag.'
                <div class="Tt-Votes">
                    <a href="#" class="Tt-VoteUp fa-thumbs-up tr_theme_rating_vt" data-type="1" data-id="'.$id.'" data-method="2" data-positive="'.$positive.'"></a>
                    <span class="Tt-Percent">'.tr_theme_rating_porc($id, 2).'</span>
                    <a href="#" class="Tt-VoteDown fa-thumbs-down tr_theme_rating_vt" data-type="2" data-id="'.$id.'" data-method="2" data-negative="'.$negative.'"></a>
                </div>';    

            if($nov==1){
                $return.="<span id=\"txtmt\"><strong class=\"Ycva\">".__("You can't vote again", TR_THEMENAME)."</strong/></span/>";
            }
    
            $return .= $tagf;
            
        }
		
		return $return;
	}
        
?>