<?php
	function tr_theme_related_scripts_init() {
        if(is_single()){
            $path_to_theme = get_template_directory_uri();
            $myvars = array( 
                'ajaxurl' => admin_url( 'admin-ajax.php' ),
                'loading' => __('Loading...', TR_THEMENAME),	
                'nonce' => wp_create_nonce( 'tr-theme-related-nonce' )
            );
            wp_enqueue_script( 'tr-related', $path_to_theme.'/js/trrelated.js',array('jquery'));
            wp_localize_script( 'tr-related', 'TrRelated', $myvars );
        }
    }
	
	if ( !is_admin() ) {
	  add_action('wp_print_scripts', 'tr_theme_related_scripts_init');
	}

	function tr_related($total=10, $id, $type=1, $txt='SHOW MORE', $display=NULL){
		global $post;
        
        $return='';

		$orig_post = $id;
        
        $catid='';
        if(is_single()){foreach((get_the_category($id)) as $category){ $catname=$category->cat_name; $catid.=$category->cat_ID.',';}}
        
		if($type==1) {
            
            $args=array(
                
                'cat' => $catid,
                'post__not_in' => array($id),
                'posts_per_page'=>$total,
                'orderby' => 'rand',
                'ignore_sticky_posts'=> 1,
                'post_type' => 'post',
                'meta_query' => array(
                        'relation' => 'OR',
                        array(
                            'key' => tr_config('field_posttype'),
                            'value' => false,
                            'type' => 'BOOLEAN'
                        ),
                        array(
                            'key' => tr_config('field_posttype'),
                            'compare' => 'NOT EXISTS'
                        )
                ),
                
            );
            
		}elseif($type==2) {
            
            $args=array(
                
                'cat' => $catid,
                'post__not_in' => array($id),
                'posts_per_page'=>$total,
                'orderby' => 'rand',
                'ignore_sticky_posts'=> 1,
                'post_type' => 'post',
                'meta_query' => array(

                    array(
                          'key' => tr_config('field_posttype'), 
                          'compare' => '=',
                          'value' => 2
                    ),
                ),
                
            );
            
        }else{
            
            $args=array(
                
                'cat' => $catid,
                'post__not_in' => array($id),
                'posts_per_page'=>$total,
                'orderby' => 'rand',
                'ignore_sticky_posts'=> 1,
                'post_type' => 'post'
                
            );            
            
        }
        
		$my_query = new wp_query( $args );
		if ($my_query->have_posts() ) :	
            $return .='
                    <!--<ListPost>-->';
                    if($type==1){
                        $return.=tr_h2('', 4, 'SectionTitle fa-film Clr1');
                    }elseif($type==2){
                        $return.=tr_h2('', 3);                      
                    }else{
                        $return.=tr_h2('', 4, 'SectionTitle fa-folder-open Clr1');
                    }
            $return.='
                    <ul class="ListPost TtStyA AX Cols Row A12 B06 C04 D04 E03 F20" id="pst-related">
            ';

		while( $my_query->have_posts() ) {		
		$my_query->the_post();
            
            $return .='
                    <!--<Post>-->
                    <li>
                        <article class="Post">
                            <div class="Picture">
                                <figure><a'.tr_permalink_attr(1, get_the_ID(), true).' href="'.get_permalink().'">'.tr_theme_img(get_the_ID(), 'thumbnail', get_the_title()).'</a></figure>
                                '.tr_theme_icons(get_the_ID(), 4).'
                                <div class="Info">
                                    <span class="CateLink fa-folder-open Clr2B">'.tr_category_list_limit(get_the_ID(), 2, true).'</span>
                                    <span>'.tr_theme_duration_or_count(get_the_ID()).' '.tr_theme_rating_percentage(get_the_ID(), true).'</span>
                                </div>
                            </div>
                            <header>
                                <h2 class="Title"><a href="'.get_permalink().'">'.get_the_title().'</a></h2>
                            </header>
                        </article>
                    </li>
                    <!--</Post>-->
            ';
            
		}
        
            $return .='</ul>';
        
            if($my_query->found_posts>$total){
                $return .='<div class="MoreRela mrvd-cn"><a data-id="'.$id.'" data-total="'.$total.'" data-type="'.$type.'" href="#" class="fa-eye btn-mrvd">'.$txt.'</a></div>';
            }
        
		$post = $orig_post;
		wp_reset_query();
		
		if($display==''){echo $return;}else{return $return;}		
		endif;
	}

	function tr_related_ajax(){

		$nonce = $_POST['nonce'];
 
	    if ( ! wp_verify_nonce( $nonce, 'tr-theme-related-nonce' ) )
    	    die ( 'Die');
	
	
		if($_POST['action'] == 'tr_related_action') {
			            
			$id=intval($_POST['id']);
            $total=intval($_POST['total']);
            $type=intval($_POST['type']);
            
            $id=empty($id) ? 1 : $id;
            $total=empty($id) ? 1 : $total;

            $return='';

            $orig_post = $id;
            $catid='';
            foreach((get_the_category($id)) as $category){ $catid.=$category->cat_ID.','; }
            
            if($type==1) {

                $args=array(

                    'cat' => $catid,
                    'post__not_in' => array($id),
                    'posts_per_page'=>$total,
                    'orderby' => 'rand',
                    'ignore_sticky_posts'=> 1,
                    'post_type' => 'post',
                    'meta_query' => array(
                            'relation' => 'OR',
                            array(
                                'key' => tr_config('field_posttype'),
                                'value' => false,
                                'type' => 'BOOLEAN'
                            ),
                            array(
                                'key' => tr_config('field_posttype'),
                                'compare' => 'NOT EXISTS'
                            )
                    ),

                );

            }elseif($type==2) {

                $args=array(

                    'cat' => $catid,
                    'post__not_in' => array($id),
                    'posts_per_page'=>$total,
                    'orderby' => 'rand',
                    'ignore_sticky_posts'=> 1,
                    'post_type' => 'post',
                    'meta_query' => array(

                        array(
                              'key' => tr_config('field_posttype'), 
                              'compare' => '=',
                              'value' => 2
                        ),
                    ),

                );

            }else{

                $args=array(

                    'cat' => $catid,
                    'post__not_in' => array($id),
                    'posts_per_page'=>$total,
                    'orderby' => 'rand',
                    'ignore_sticky_posts'=> 1,
                    'post_type' => 'post'

                );            

            }
            
            $my_query = new wp_query( $args );
            if ($my_query->have_posts() ) :	

            while( $my_query->have_posts() ) {		
            $my_query->the_post();

                $return .='
                        <!--<Post>-->
                        <li>
                            <article class="Post">
                                <div class="Picture">
                                    <figure><a'.tr_permalink_attr(1, get_the_ID(), true).' href="'.get_permalink().'">'.tr_theme_img(get_the_ID(), 'thumbnail', get_the_title()).'</a></figure>
                                    '.tr_theme_icons(get_the_ID(), 4).'
                                    <div class="Info">
                                        <span class="CateLink fa-folder-open Clr2B">'.tr_category_list_limit(get_the_ID(), 2, true).'</span>
                                        <span>'.tr_theme_duration_or_count(get_the_ID()).' '.tr_theme_rating_percentage(get_the_ID(), true).'</span>
                                    </div>
                                </div>
                                <header>
                                    <h2 class="Title"><a href="'.get_permalink().'">'.get_the_title().'</a></h2>
                                </header>
                            </article>
                        </li>
                        <!--</Post>-->
                ';
                
            }
            $post = $orig_post;
            wp_reset_query();

            echo $return;

            endif;
                        
		}
		exit;
	}
	
	add_action( 'wp_ajax_tr_related_action', 'tr_related_ajax' );
	add_action( 'wp_ajax_nopriv_tr_related_action', 'tr_related_ajax');
?>