<?php

class WP_Widget_Trsocial extends WP_Widget {

	public function __construct() {
		$widget_ops = array('classname' => 'widget_tr_social', 'description' => __('Widget to add social buttons to your social networks.', TR_THEMENAMEOPTIONS));
		$control_ops = array('width' => 400, 'height' => 350);
		parent::__construct('tr-social', __('TR Social', TR_THEMENAMEOPTIONS), $widget_ops, $control_ops);
	}

	public function widget( $args, $instance ) {

		/** This filter is documented in wp-includes/widgets/class-wp-widget-pages.php */
		$twitter = empty( $instance['twitter'] ) ? '' : $instance['twitter'];
		$facebook = empty( $instance['facebook'] ) ? '' : $instance['facebook'];
		$googleplus = empty( $instance['googleplus'] ) ? '' : $instance['googleplus'];
?>
        <?php if($facebook){ ?>
        <a href="<?php echo $facebook; ?>" class="BtnRed fa-facebook" target="_blank"><span><?php _e('Follow us on', TR_THEMENAME); ?></span> <span>Facebook</span></a>
        <?php } ?>
        <?php if($twitter){ ?>
        <a href="<?php echo $twitter; ?>" class="BtnRed fa-twitter" target="_blank"><span><?php _e('Follow us on', TR_THEMENAME); ?></span> <span>Twitter</span></a>
        <?php } ?>
        <?php if($googleplus){ ?>
        <a href="<?php echo $googleplus; ?>" class="BtnRed fa-google-plus" target="_blank"><span><?php _e('Follow us on', TR_THEMENAME); ?></span> <span>Google+</span></a>
        <?php } ?>
<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['twitter'] = strip_tags( $new_instance['twitter'] );
		$instance['googleplus'] = strip_tags( $new_instance['googleplus'] );
		$instance['facebook'] = strip_tags( $new_instance['facebook'] );
		return $instance;
	}

	public function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 'twitter' => '', 'facebook' => '', 'googleplus' => '' ) );
		$twitter = strip_tags( $instance['twitter'] );
		$facebook = strip_tags( $instance['facebook'] );
		$googleplus = strip_tags( $instance['googleplus'] );
		?>
		<p><label for="<?php echo $this->get_field_id('twitter'); ?>"><?php _e('URL Twitter:', TR_THEMENAMEOPTIONS); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('twitter'); ?>" name="<?php echo $this->get_field_name('twitter'); ?>" type="text" value="<?php echo esc_attr($twitter); ?>" /></p>
		
		<p><label for="<?php echo $this->get_field_id('googleplus'); ?>"><?php _e('URL Google+:', TR_THEMENAMEOPTIONS); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('googleplus'); ?>" name="<?php echo $this->get_field_name('googleplus'); ?>" type="text" value="<?php echo esc_attr($googleplus); ?>" /></p>
		
		<p><label for="<?php echo $this->get_field_id('facebook'); ?>"><?php _e('URL Facebook:', TR_THEMENAMEOPTIONS); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id('facebook'); ?>" name="<?php echo $this->get_field_name('facebook'); ?>" type="text" value="<?php echo esc_attr($facebook); ?>" /></p>

		<?php
	}
}
